<?
if ($level <= 3) {
die('У вас нет прав доступа');
}

$system['title'] = 'Статистика на Вывод';
require SYS . 'header.php';

$balans_user = $sql -> fetch("SELECT SUM(wmr) AS wmr FROM `users` WHERE `wmr` >= 1");
?>
<div class="main_menu">
&raquo; Всего на вывод : <?= round($balans_user['wmr'], 2)?> wmr
</div>
<?

$k_post = $sql -> selectCount("SELECT COUNT(*) FROM `users` WHERE `wmr` >= '1'");

if ($k_post == 0) {
?><div class="alert" style="margin: 2px;">Список пуст</div><?
} else {
$k_page = k_page($k_post, $system['page_str']);
$page = page($k_page);
$start =  $system['page_str'] * $page -  $system['page_str'];

$array = $sql -> select("SELECT * FROM `users` WHERE `wmr` >= '1' ORDER BY `wmr` DESC LIMIT $start, ".$system['page_str']."");

foreach ($array AS $post) {
$num++;
?>
<a class="<?= ($num % 2 ? "div_1" : "div_2")?>" href="/@<?=$post['login']?>">

<?= login($post['id'],2,1)?>
<?
#--------------------------------#
$sban = $sql -> fetch("SELECT * FROM `ban` WHERE `id_ban` = '".$post['id']."' AND `time` > '$time' ORDER BY `time` DESC LIMIT 1");
if (isset($sban['id'])) {
	?>
	<span class="off"><b><?= __('заблокирован')?></b></span><br />
		Заблокировал: <?= login($sban['id_user'], 2, 1)?> (<?= __('до')?> <?= vremja($sban['time'])?>)<br />
		<?= __('Причина')?>: <?= text_out($sban['msg'])?>
	<?
}
#--------------------------------#
?><br />
Доступно к выводу: <?= round($post['wmr'], 2)?> wmr<br /> 
Дата регистрации: <?= vremja($post['date_reg'])?><br /> 
Последнее посещение: <?= vremja($post['date_last'])?><br /> 
</a>
<?
}
if ($k_page > 1) {str('?func='.$func.'&amp;', $k_page, $page);}
}  
?>
<div class="foot">
&laquo; <a href="?func=admin">Админ панель</a>
</div>